Get list of channels
Get list of channels. Channels are returned oldest first, without QR images.
Authorization
Bearer OAuth access token.
In: header
Query Parameters
Page number, starting at 1. Maximum 100.
1 <= value <= 1001Number of items per page. Default 50, maximum 100.
1 <= value <= 10050Header Parameters
Version of the API used. Currently, version 1 is the only version.
Value in
- 1
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/channels" \ -H "X-Volt-Api-Version: 1"[ { "id": "9c2e6b4a-8f1d-4c3a-b5e7-d0a2c4e6f8b1", "endUser": { "type": "INDIVIDUAL", "reference": "user-8841", "firstName": "John", "lastName": "Doe", "organisationName": null, "dateOfBirth": "1990-01-15", "country": "DE" }, "currency": "USDC", "walletId": "6a4f0c9e-2d1b-4c8a-9f3e-b7d2a1c4e5f6", "status": "OPEN", "addresses": [ { "network": "ETHEREUM", "address": "0x7b686317f8ed2c2bc3bbd060464f1939359a00e3", "tag": null, "uri": "ethereum:0x7b686317f8ed2c2bc3bbd060464f1939359a00e3", "isPrimary": true } ], "createdAt": "2026-08-24T09:15:42+00:00", "updatedAt": "2026-08-24T09:15:42+00:00" }]Update wallet PATCH
Update wallet: change its label and/or make it the target wallet.
Create channel POST
Create new reusable deposit channel for one of your end users in one crypto currency. The channel's addresses are permanently bound to that end user, so a channel that already exists for the combination of `endUser.reference`, `currency` and wallet returns `409`. Converted funds are credited to the wallet identified by `walletId`.